atk Constants
Prev | The atk Class Reference | Next

## atk Constants

atk Constants — the built-in constants of the atk module

## Synopsis

    Atk Coord Type Constants
    Atk Layer Constants
    Atk Relation Type Constants
    Atk Role Constants
    Atk State Type Constants
    Atk Text Attribute Constants
    Atk Text Boundary Constants
    Atk Text Clip Type Constants

## Description

### Atk Coord Type Constants

The Atk Coord Type constants specify how xy coordinates are to be interpreted. Used by methods such as `atk.Component.get_position`() and `atk.Text.get_character_extents`()

`atk.XY_SCREEN` | specifies xy coordinates relative to the screen
`atk.XY_WINDOW` | specifies xy coordinates relative to the widget's top-level window

### Atk Layer Constants

The Atk Layer constants specify the layer of a component. These enumerated "layer values" are used when determining which UI rendering layer a component is drawn into, which can help in making determinations of when components occlude one another.

`atk.LAYER_INVALID` | The object does not have a layer
`atk.LAYER_BACKGROUND` | This layer is reserved for the desktop background
`atk.LAYER_CANVAS` | This layer is used for Canvas components
`atk.LAYER_WIDGET` | This layer is normally used for components
`atk.LAYER_MDI` | This layer is used for layered components
`atk.LAYER_POPUP` | This layer is used for popup components, such as menus
`atk.LAYER_OVERLAY` | This layer is reserved for future use.
`atk.LAYER_WINDOW` | This layer is used for toplevel windows.

### Atk Relation Type Constants

The Atk Relation Type constants specify the type of the relation.

`atk.RELATION_NULL` | Not used, represents "no relationship" or an error condition.
`atk.RELATION_CONTROLLED_BY` | Indicates an object controlled by one or more target objects.
`atk.RELATION_CONTROLLER_FOR` | Indicates an object is an controller for one or more target objects.
`atk.RELATION_LABEL_FOR` | Indicates an object is a label for one or more target objects.
`atk.RELATION_LABELLED_BY` | Indicates an object is labelled by one or more target objects.
`atk.RELATION_MEMBER_OF` | Indicates an object is a member of a group of one or more target objects.
`atk.RELATION_NODE_CHILD_OF` | Indicates an object is a cell in a treetable which is displayed because a cell in the same column is expanded and identifies that cell.
`atk.RELATION_FLOWS_TO` | Indicates that the object has content that flows logically to another `atk.Object` in a sequential way, (for instance text-flow).
`atk.RELATION_FLOWS_FROM` | Indicates that the object has content that flows logically from another `atk.Object` in a sequential way, (for instance text-flow).
`atk.RELATION_SUBWINDOW_OF` | Indicates a subwindow attached to a component but otherwise has no connection in the UI hierarchy to that component.
`atk.RELATION_EMBEDS` | Indicates that the object visually embeds another object's content, i.e. this object's content flows around another's content.
`atk.RELATION_EMBEDDED_BY` | Inverse of `atk.RELATION_EMBEDS`, indicates that this object's content is visualy embedded in another object.
`atk.RELATION_POPUP_FOR` | Indicates that an object is a popup for another object.
`atk.RELATION_PARENT_WINDOW_OF` | Indicates that an object is a parent window of another object.
`atk.RELATION_LAST_DEFINED` | Not used, this value indicates the end of the enumeration.

### Atk Role Constants

The Atk Role constants describes the role of an object. These are the built-in enumerated roles that UI components can have in ATK. Other roles may be added at runtime, so an AtkRole >= `atk.ROLE_LAST_DEFINED` is not necessarily an error.

`atk.ROLE_INVALID` | Invalid role
`atk.ROLE_ACCEL_LABEL` | A label which represents an accelerator
`atk.ROLE_ALERT` | An object which is an alert to the user
`atk.ROLE_ANIMATION` | An object which is an animated image
`atk.ROLE_ARROW` | An arrow in one of the four cardinal directions
`atk.ROLE_CALENDAR` | An object that displays a calendar and allows the user to select a date
`atk.ROLE_CANVAS` | An object that can be drawn into and is used to trap events
`atk.ROLE_CHECK_BOX` | A choice that can be checked or unchecked and provides a separate indicator for the current state
`atk.ROLE_CHECK_MENU_ITEM` | A menu item with a check box
`atk.ROLE_COLOR_CHOOSER` | A specialized dialog that lets the user choose a color
`atk.ROLE_COLUMN_HEADER` | The header for a column of data
`atk.ROLE_COMBO_BOX` | A list of choices the user can select from
`atk.ROLE_DATE_EDITOR` | An object whose purpose is to allow a user to edit a date
`atk.ROLE_DESKTOP_ICON` | An inconifed internal frame within a DESKTOP_PANE
`atk.ROLE_DESKTOP_FRAME` | A pane that supports internal frames and iconified versions of those internal frames
`atk.ROLE_DIAL` | An object whose purpose is to allow a user to set a value
`atk.ROLE_DIALOG` | A top level window with title bar and a border
`atk.ROLE_DIRECTORY_PANE` | A pane that allows the user to navigate through and select the contents of a directory
`atk.ROLE_DRAWING_AREA` | An object used for drawing custom user interface elements
`atk.ROLE_FILE_CHOOSER` | A specialized dialog that lets the user choose a file
`atk.ROLE_FILLER` | A object that fills up space in a user interface
`atk.ROLE_FONT_CHOOSER` | A specialized dialog that lets the user choose a font
`atk.ROLE_FRAME` | A top level window with a title bar, border, menubar, etc.
`atk.ROLE_GLASS_PANE` | A pane that is guaranteed to be painted on top of all panes beneath it
`atk.ROLE_HTML_CONTAINER` | A document container for HTML, whose children represent the document content
`atk.ROLE_ICON` | A small fixed size picture, typically used to decorate components
`atk.ROLE_IMAGE` | An object whose primary purpose is to display an image
`atk.ROLE_INTERNAL_FRAME` | A frame-like object that is clipped by a desktop pane
`atk.ROLE_LABEL` | An object used to present an icon or short string in an interface
`atk.ROLE_LAYERED_PANE` | A specialized pane that allows its children to be drawn in layers, providing a form of stacking order
`atk.ROLE_LIST` | An object that presents a list of objects to the user and allows the user to select one or more of them
`atk.ROLE_LIST_ITEM` | An object that represents an element of a list
`atk.ROLE_MENU` | An object usually found inside a menu bar that contains a list of actions the user can choose from
`atk.ROLE_MENU_BAR` | An object usually drawn at the top of the primary dialog box of an application that contains a list of menus the user can choose from
`atk.ROLE_MENU_ITEM` | An object usually contained in a menu that presents an action the user can choose
`atk.ROLE_OPTION_PANE` | A specialized pane whose primary use is inside a DIALOG
`atk.ROLE_PAGE_TAB` | An object that is a child of a page tab list
`atk.ROLE_PAGE_TAB_LIST` | An object that presents a series of panels (or page tabs), one at a time, through some mechanism provided by the object
`atk.ROLE_PANEL` | A generic container that is often used to group objects
`atk.ROLE_PASSWORD_TEXT` | A text object uses for passwords, or other places where the text content is not shown visibly to the user
`atk.ROLE_POPUP_MENU` | A temporary window that is usually used to offer the user a list of choices, and then hides when the user selects one of those choices
`atk.ROLE_PROGRESS_BAR` | An object used to indicate how much of a task has been completed
`atk.ROLE_PUSH_BUTTON` | An object the user can manipulate to tell the application to do something
`atk.ROLE_RADIO_BUTTON` | A specialized check box that will cause other radio buttons in the same group to become unchecked when this one is checked
`atk.ROLE_RADIO_MENU_ITEM` | A check menu item which belongs to a group. At each instant exactly one of the radio menu items from a group is selected
`atk.ROLE_ROOT_PANE` | A specialized pane that has a glass pane and a layered pane as its children
`atk.ROLE_ROW_HEADER` | The header for a row of data
`atk.ROLE_SCROLL_BAR` | An object usually used to allow a user to incrementally view a large amount of data.
`atk.ROLE_SCROLL_PANE` | An object that allows a user to incrementally view a large amount of information
`atk.ROLE_SEPARATOR` | An object usually contained in a menu to provide a visible and logical separation of the contents in a menu
`atk.ROLE_SLIDER` | An object that allows the user to select from a bounded range
`atk.ROLE_SPLIT_PANE` | A specialized panel that presents two other panels at the same time
`atk.ROLE_SPIN_BUTTON` | An object used to get an integer or floating point number from the user
`atk.ROLE_STATUSBAR` | An object which reports messages of minor importance to the user
`atk.ROLE_TABLE` | An object used to represent information in terms of rows and columns
`atk.ROLE_TABLE_CELL` | A cell in a table
`atk.ROLE_TABLE_COLUMN_HEADER` | The header for a column of a table
`atk.ROLE_TABLE_ROW_HEADER` | The header for a row of a table
`atk.ROLE_TEAR_OFF_MENU_ITEM` | A menu item used to tear off and reattach its menu
`atk.ROLE_TERMINAL` | An object that represents an accessible terminal
`atk.ROLE_TEXT` | An object that presents text to the user
`atk.ROLE_TOGGLE_BUTTON` | A specialized push button that can be checked or unchecked, but does not provide a separate indicator for the current state
`atk.ROLE_TOOL_BAR` | A bar or palette usually composed of push buttons or toggle buttons
`atk.ROLE_TOOL_TIP` | An object that provides information about another object
`atk.ROLE_TREE` | An object used to represent hierarchical information to the user
`atk.ROLE_TREE_TABLE` | An object capable of expanding and collapsing rows as well as showing multiple columns of data
`atk.ROLE_UNKNOWN` | The object contains some Accessible information, but its role is not known
`atk.ROLE_VIEWPORT` | An object usually used in a scroll pane
`atk.ROLE_WINDOW` | A top level window with no title or border.
`atk.ROLE_HEADER` | An object that serves as a document header.
`atk.ROLE_FOOTER` | An object that serves as a document footer.
`atk.ROLE_PARAGRAPH` | An object which is contains a paragraph of text content.
`atk.ROLE_RULER` | An object which describes margins and tab stops, etc. for text objects which it controls (should have CONTROLLER_FOR relation to such).
`atk.ROLE_APPLICATION` | The object is an application object, which may contain atk.ROLE_FRAME objects or other types of accessibles.
`atk.ROLE_AUTOCOMPLETE` | The object is a dialog or list containing items for insertion into an entry widget, for instance a list of words for completion of a text entry.
`atk.ROLE_EDITBAR` | The object is an editable text object in a toolbar
`atk.ROLE_EMBEDDED` | The object is an embedded container within a document or panel. This role is a grouping "hint" indicating that the contained objects share a context.
`atk.ROLE_ENTRY` | The object is a component whose textual content may be entered or modified by the user, provided atk.STATE_EDITABLE is present.
`atk.ROLE_CHART` | The object is a graphical depiction of quantitative data. It may contain multiple subelements whose attributes and/or description may be queried to obtain both the quantitative data and information about how the data is being presented. The LABELLED_BY relation is particularly important in interpreting objects of this type, as is the accessible-description property.
`atk.ROLE_CAPTION` | The object contains descriptive information, usually textual, about another user interface element such as a table, chart, or image.
`atk.ROLE_DOCUMENT_FRAME` | The object is a visual frame or container which contains a view of document content. Document frames may occur within another Document instance, in which case the second document may be said to be embedded in the containing instance. HTML frames are often ROLE_DOCUMENT_FRAME. Either this object, or a singleton descendant, should implement the Document interface.
`atk.ROLE_HEADING` | The object serves as a heading for content which follows it in a document. The 'heading level' of the heading, if availabe, may be obtained by querying the object's attributes.
`atk.ROLE_PAGE` | The object is a containing instance which encapsulates a page of information. atk.ROLE_PAGE is used in documents and content which support a paginated navigation model.
`atk.ROLE_SECTION` | The object is a containing instance of document content which constitutes a particular 'logical' section of the document. The type of content within a section, and the nature of the section division itself, may be obtained by querying the object's attributes. Sections may be nested.
`atk.ROLE_REDUNDANT_OBJECT` | The object is redundant with another object in the hierarchy, and is exposed for purely technical reasons. Objects of this role should normally be ignored by clients.
`atk.ROLE_LAST_DEFINED` | not a valid role, used for finding end of the enumeration

### Atk State Type Constants

The Atk State Type constants specify a particular state of a component. The actual state of an component is described by its `atk.StateSet`, which is a set of states.

`atk.STATE_INVALID` | Indicates an invalid state
`atk.STATE_ACTIVE` | Indicates a window is currently the active window
`atk.STATE_ARMED` | Indicates that the object is armed.
`atk.STATE_BUSY` | Indicates the current object is busy. This state may be used by implementors of Document to indicate that content loading is in process.
`atk.STATE_CHECKED` | Indicates this object is currently checked
`atk.STATE_DEFUNCT` | Indicates the user interface object corresponding to this object no longer exists
`atk.STATE_EDITABLE` | Indicates the user can change the contents of this object
`atk.STATE_ENABLED` | Indicates that this object is enabled. An inconsistent `gtk.ToggleButton` is an example of an object which is sensitive but not enabled.
`atk.STATE_EXPANDABLE` | Indicates this object allows progressive disclosure of its children
`atk.STATE_EXPANDED` | Indicates this object its expanded
`atk.STATE_FOCUSABLE` | Indicates this object can accept keyboard focus, which means all events resulting from typing on the keyboard will normally be passed to it when it has focus
`atk.STATE_FOCUSED` | Indicates this object currently has the keyboard focus
`atk.STATE_HORIZONTAL` | Indicates the orientation of this object is horizontal
`atk.STATE_ICONIFIED` | Indicates this object is minimized and is represented only by an icon
`atk.STATE_MODAL` | Indicates something must be done with this object before the user can interact with an object in a different window
`atk.STATE_MULTI_LINE` | Indicates this (text) object can contain multiple lines of text
`atk.STATE_MULTISELECTABLE` | Indicates this object allows more than one of its children to be selected at the same time
`atk.STATE_OPAQUE` | Indicates this object paints every pixel within its rectangular region.
`atk.STATE_PRESSED` | Indicates this object is currently pressed
`atk.STATE_RESIZABLE` | Indicates the size of this object is not fixed
`atk.STATE_SELECTABLE` | Indicates this object is the child of an object that allows its children to be selected and that this child is one of those children that can be selected
`atk.STATE_SELECTED` | Indicates this object is the child of an object that allows its children to be selected and that this child is one of those children that has been selected
`atk.STATE_SENSITIVE` | Indicates this object is sensitive
`atk.STATE_SHOWING` | Indicates this object, the object's parent, the object's parent's parent, and so on, are all visible
`atk.STATE_SINGLE_LINE` | Indicates this (text) object can contain only a single line of text
`atk.STATE_STALE` | Indicates that the index associated with this object has changed since the user accessed the object.
`atk.STATE_TRANSIENT` | Indicates this object is transient
`atk.STATE_VERTICAL` | Indicates the orientation of this object is vertical
`atk.STATE_VISIBLE` | Indicates this object is visible
`atk.STATE_MANAGES_DESCENDANTS` | Indicates that "active-descendant-changed" event is sent when children become 'active' (i.e. are selected or navigated to onscreen). Used to prevent need to enumerate all children in very large containers, like tables.
`atk.STATE_INDETERMINATE` | Indicates that a check box is in a state other than checked or not checked.
`atk.STATE_TRUNCATED` | Indicates that an object is truncated, e.g. a text value in a speradsheet cell.
`atk.STATE_REQUIRED` | Indicates that explicit user interaction with an object is required by the user interface, e.g. a required field in a "web-form" interface.
`atk.STATE_INVALID_ENTRY` | Indicates that the object has encountered an error condition due to failure of input validation. For instance, a form control may acquire this state in response to invalid or malformed user input.
`atk.STATE_SUPPORTS_AUTOCOMPLETION` | Indicates that the object may exhibit "typeahead" behavior in response to user keystrokes, e.g. one keystroke may result in the insertion of several characters into an entry, or result in the auto-selection of an item in a list. This state supplants `atk.ROLE_AUTOCOMPLETE`.

`atk.STATE_SELECTABLE_TEXT`

Indicates that the object in question supports text selection. It should only be exposed on objects which implement the Text interface, in order to distinguish this state from `atk.STATE_SELECTABLE`, which infers that the object in question is a selectable child of an object which implements Selection. While similar, text selection and subelement selection are distinct operations.

`atk.STATE_LAST_DEFINED` | Not a valid state, used for finding end of enumeration

### Atk Text Attribute Constants

The Atk Text Attribute constants specify the built-in text attributes supported. Other text attributes may be set by an application using the `atk.text_attribute_register`() function.

`atk.TEXT_ATTR_INVALID` | nvalid attribute
`atk.TEXT_ATTR_LEFT_MARGIN` | The pixel width of the left margin
`atk.TEXT_ATTR_RIGHT_MARGIN` | The pixel width of the right margin
`atk.TEXT_ATTR_INDENT` | The number of pixels that the text is indented
`atk.TEXT_ATTR_INVISIBLE` | Either "true" or "false" indicating whether text is visible or not
`atk.TEXT_ATTR_PIXELS_ABOVE_LINES` | Pixels of blank space to leave above each newline-terminated line.
`atk.TEXT_ATTR_PIXELS_BELOW_LINES` | Pixels of blank space to leave below each newline-terminated line.
`atk.TEXT_ATTR_PIXELS_INSIDE_WRAP` | Pixels of blank space to leave between wrapped lines inside the same newline-terminated line (paragraph).
`atk.TEXT_ATTR_BG_FULL_HEIGHT` | "true" or "false" whether to make the background color for each character the height of the highest font used on the current line, or the height of the font used for the current character.
`atk.TEXT_ATTR_RISE` | Number of pixels that the characters are risen above the baseline
`atk.TEXT_ATTR_UNDERLINE` | "none", "single", "double" or "low"
`atk.TEXT_ATTR_STRIKETHROUGH` | "true" or "false" whether the text is strikethrough
`atk.TEXT_ATTR_SIZE` | The size of the characters.
`atk.TEXT_ATTR_SCALE` | The scale of the characters. The value is a string representation of a double
`atk.TEXT_ATTR_WEIGHT` | The weight of the characters.
`atk.TEXT_ATTR_LANGUAGE` | The language used
`atk.TEXT_ATTR_FAMILY_NAME` | The font family name
`atk.TEXT_ATTR_BG_COLOR` | The background color. The value is an RGB value of the format "u,u,u"
`atk.TEXT_ATTR_FG_COLOR` | The foreground color. The value is an RGB value of the format "u,u,u"
`atk.TEXT_ATTR_BG_STIPPLE` | "true" if a `gtk.gdk.Pixmap` is set for stippling the background color.
`atk.TEXT_ATTR_FG_STIPPLE` | "true" if a `gtk.gdk.Pixmap` is set for stippling the foreground color.
`atk.TEXT_ATTR_WRAP_MODE` | The wrap mode of the text, if any. Values are "none", "char" or "word"
`atk.TEXT_ATTR_DIRECTION` | The direction of the text, if set. Values are "none", "ltr" or "rtl"
`atk.TEXT_ATTR_JUSTIFICATION` | The justification of the text, if set. Values are "left", "right", "center" or "fill"
`atk.TEXT_ATTR_STRETCH` | The stretch of the text, if set. Values are "ultra_condensed", "extra_condensed", "condensed", "semi_condensed", "normal", "semi_expanded", "expanded", "extra_expanded" or "ultra_expanded"
`atk.TEXT_ATTR_VARIANT` | The capitalization variant of the text, if set. Values are "normal" or "small_caps"
`atk.TEXT_ATTR_STYLE` | The slant style of the text, if set. Values are "normal", "oblique" or "italic"
`atk.TEXT_ATTR_LAST_DEFINED` | not a valid text attribute, used for finding end of enumeration

### Atk Text Boundary Constants

The Atk Text Boundary constants specify oundaries for regions of text.

`atk.TEXT_BOUNDARY_CHAR` | Boundary is the boundary between characters (including non-printing characters)
`atk.TEXT_BOUNDARY_WORD_START` | Boundary is the start (i.e. first character) of a word.
`atk.TEXT_BOUNDARY_WORD_END` | Boundary is the end (i.e. last character) of a word.
`atk.TEXT_BOUNDARY_SENTENCE_START` | Boundary is the first character in a sentence.
`atk.TEXT_BOUNDARY_SENTENCE_END` | Boundary is the last (terminal) character in a sentence; in languages which use "sentence stop" punctuation such as English, the boundary is thus the '.', '?', or similar terminal punctuation character.
`atk.TEXT_BOUNDARY_LINE_START` | Boundary is the initial character of the content or a character immediately following a newline, linefeed, or return character.
`atk.TEXT_BOUNDARY_LINE_END` | Boundary is the linefeed, or return character.

### Atk Text Clip Type Constants

The Atk Text Clip Type constants specify the type of clipping required.

`atk.TEXT_CLIP_NONE` | No clipping to be done
`atk.TEXT_CLIP_MIN` | Text clipped by min coordinate is omitted
`atk.TEXT_CLIP_MAX` | Text clipped by max coordinate is omitted
`atk.TEXT_CLIP_BOTH` | Only text fully within mix/max bound is retained

Prev | Up | Next
atk.Value | Home | The gtk Class Reference